%define oname echonest
%define major 2.3
%define libname %mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Summary:	Qt library for communicating with The Echo Nest
Name:		libechonest
Version:	2.3.0
Release:	1
License:	GPLv2+
Group:		System/Libraries
Url:		https://projects.kde.org/projects/playground/libs/libechonest/
Source0:	http://files.lfranchi.com/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(QJson)
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(QtNetwork)
BuildRequires:	pkgconfig(QtTest)

%description
Qt library for communicating with The Echo Nest.
It currently supports almost all of the features of the Echo Nest API,
including all API functions.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	libechonest core library
Group:		System/Libraries

%description -n %{libname}
A C++/Qt library to access the APIs provided by The Echo Nest.

%files -n %{libname}
%{_libdir}/libechonest.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	%{name} development files
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devname}
%{_includedir}/%{oname}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%make

%install
%makeinstall_std -C build

%changelog
* Sat Nov 08 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.3.0-1
+ Revision: e06983c
- Add boost-devel to BuildRequires


